#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int n;
    cin >> n;
    int a[n];
    int pretKojiKvari[n];
    pretKojiKvari[0]=-1;
    cin >> a[0];
    for(int i=1;i<n;i++){
        cin >> a[i];
        if(a[i]<a[i-1]){
            pretKojiKvari[i] = i-1;
        }
        else{
            pretKojiKvari[i]=pretKojiKvari[i-1];
        }
    }
    cout << endl;
    int q;
    cin >> q;
    for(int i=0;i<q;i++){
        int l,r;
        cin >> l >> r;
        l--;r--;
        if(pretKojiKvari[r]<l+1){
            cout << "DA" << endl;
        } else if(pretKojiKvari[pretKojiKvari[r]]>=l){
            cout << "NE" << endl;
        } else if(a[pretKojiKvari[r]-1]>a[pretKojiKvari[r]+1]){
            cout << "NE" << endl;
        } else{
            cout << "DA" << endl;
        }
    }
    return 0;
}